diff --git vcl/unx/source/gdi/salgdi3.cxx vcl/unx/source/gdi/salgdi3.cxx
index 4e165ff..7fc8085 100644
--- vcl/unx/source/gdi/salgdi3.cxx
+++ vcl/unx/source/gdi/salgdi3.cxx
@@ -1988,6 +1988,11 @@ class FcPreMatchSubstititution
 {
 public:
     bool FindFontSubstitute( ImplFontSelectData& ) const;
+
+private:
+    typedef ::std::hash_map< ::rtl::OUString, ::rtl::OUString, ::rtl::OUStringHash >
+        CachedFontMapType;
+    mutable CachedFontMapType maCachedFontMap;
 };
 
 class FcGlyphFallbackSubstititution
@@ -2116,8 +2121,19 @@ bool FcPreMatchSubstititution::FindFontSubstitute( ImplFontSelectData &rFontSelD
     ||  0 == rFontSelData.maSearchName.CompareIgnoreCaseToAscii( "opensymbol", 10) )
         return false;
 
+    CachedFontMapType::const_iterator itr = maCachedFontMap.find(rFontSelData.maTargetName);
+    if (itr != maCachedFontMap.end())
+    {
+        // Cached substitution pair
+        rFontSelData.maSearchName = itr->second;
+        return true;
+    }
     rtl::OUString aDummy;
     const rtl::OUString aOUName = GetFcSubstitute( rFontSelData, aDummy );
+
+    maCachedFontMap.insert(
+        CachedFontMapType::value_type(rFontSelData.maTargetName, aOUName));
+
     if( !aOUName.getLength() )
         return false;
     const String aName( aOUName );
